Subject: [bug#54581] Add emacs-sqlite3-api package

From: Roman Scherer <[email-masked]>
Date: Thu, 05 May 2022 09:46:01 +0200

Hi Maxime,

is there anything I can do to move this forward?

Roman

Roman Scherer <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
>
> Ok, thank you. The attached patch uses the inverse condition now.
>
> [2. text/x-patch; 0001-Add-emacs-sqlite3-api-package.patch]...
>
>
> Maxime Devos <[email-masked]> writes:
>
>> [[PGP Signed Part:Undecided]]
>> Roman Scherer schreef op vr 01-04-2022 om 11:07 [+0200]:
>>> I changed the #:tests? keyword to (%current-target-system), but I
>>> noticed the tests of the package are now not run anymore when I build
>>> the package. Is this expected?
>>
>> You need the inverse condition:
>>
>>   #:tests? ,(not (%current-target-system))
>>
>> otherwise, tests are only run when cross-compiling, and not when
>> building natively.
>>
>> Greetings,
>> Maxime.
>>
>> [[End of PGP Signed Part]]
>
> [[End of PGP Signed Part]]